package router_test

import (
	"testing"

	router "git.sharkk.net/Go/Router"
)

func TestHello(t *testing.T) {
	r := router.New()
	r.Add("GET", "/blog", "Blog")
	r.Add("GET", "/blog/post", "Blog post")

	data, params := r.Lookup("GET", "/blog")
	if data != "Blog" || len(params) != 0 {
		t.Error("Invalid data")
	}

	data, params = r.Lookup("GET", "/blog/post")
	if data != "Blog post" || len(params) != 0 {
		t.Error("Invalid data")
	}
}
